% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SS2OM.R
\name{SRopt}
\alias{SRopt}
\title{Function that returns a stochastic estimate of steepness given observed stock recruitment data}
\usage{
SRopt(nsim, SSB, rec, SSBpR, plot = FALSE, type = c("BH", "Ricker"))
}
\arguments{
\item{nsim}{number of samples of steepness to generate}

\item{SSB}{'observations' of spawning biomass}

\item{rec}{'observations' (model predictions) of recruitment}

\item{SSBpR}{spawning stock biomass per recruit at unfished conditions}

\item{plot}{should plots of model fit be produced?}

\item{type}{what type of stock recruitment curve is being fitted ("BH" = Beverton-Holt or "Ricker")}
}
\value{
Vector of length nsim with steepness values.
}
\description{
Function that returns a stochastic estimate of steepness given observed stock recruitment data
}
\author{
T. Carruthers
}
