% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HCRs.R
\name{calculate_TAC}
\alias{calculate_TAC}
\title{Calculate TAC from Assessment object}
\usage{
calculate_TAC(Assessment, reps)
}
\arguments{
\item{Assessment}{An Assessment object with estimates of UMSY or FMSY and
terminal year vulnerable biomass.}

\item{reps}{The number of stochastic draws of UMSY or FMSY (Set equal to one
for deterministic calculations).}
}
\value{
A vector of length \code{reps} of stochastic samples of TAC recommendation.
}
\description{
A function to calculate the total allowable catch TAC as the product of
either UMSY or FMSY and the vulnerable biomass in terminal year.
}
\seealso{
\link{HCR_MSY} \link{HCR40_10} \link{HCR60_20}
}
